Assign Role To Group
curl --request POST \
--url https://services.pref.rio/heimdall-admin/api/v1/roles/groups/{group_name}/roles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role_name": "data_analyst:read"
}
'import requests
url = "https://services.pref.rio/heimdall-admin/api/v1/roles/groups/{group_name}/roles"
payload = { "role_name": "data_analyst:read" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role_name: 'data_analyst:read'})
};
fetch('https://services.pref.rio/heimdall-admin/api/v1/roles/groups/{group_name}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": "engineering_team:backend",
"role": "data_analyst:read",
"status": "success"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}roles
Assign Role To Group
Assign role to group. Implements POST /groups//roles as specified in SPEC.md Section 3.4.
POST
/
api
/
v1
/
roles
/
groups
/
{group_name}
/
roles
Assign Role To Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request model for assigning a role to a group.
Name of the role to assign to the group (lowercase letters, numbers, underscores, and colons only)
Pattern:
^[a-z0-9_:]+$Example:
"data_analyst:read"
Response
Successful Response
⌘I
